local szabopersist = {}

local lastPlayerState = false
local persistentVehicles = {}

function szabopersist.unload()
end
function szabopersist.init()
end

function szabopersist.tick()

	local playerPed = PLAYER.PLAYER_PED_ID()
	local playerState = PED.IS_PED_IN_ANY_VEHICLE(playerPed, false)
	
	if (playerState and (not lastPlayerState)) then
	
		local currentVehicle = PED.GET_VEHICLE_PED_IS_IN(playerPed, false)
		local vehiclePersistent = false
		
		for i, v in ipairs(persistentVehicles) do
			if (v == currentVehicle) then
				vehiclePersistent = true
				print("vehicle already persistent, returning")
				break
			end
		end
		
		if (not vehiclePersistent) then
			
			if (#persistentVehicles > 4) then
				ENTITY.SET_ENTITY_AS_NO_LONGER_NEEDED(persistentVehicles[1])
				table.remove(persistentVehicles, 1)
				print("allowing old vehicle to despawn")
			end
			
			table.insert(persistentVehicles, currentVehicle)
			
			ENTITY.SET_ENTITY_AS_MISSION_ENTITY(currentVehicle, true, true)
			
			print("current vehicle won't despawn")
		end
		
	end
	
	lastPlayerState = playerState;
	
end


return szabopersist